package cn.palmte.work.model;

import javax.persistence.*;

/**
 * 资金计划明细临时表
 */
@Entity
@Table(name = "project_budget_plan_detail_temp")
public class ProjectBudgetPlanDetailTemp extends ProjectBudgetPlanDetailBase{
    public ProjectBudgetPlanDetail toProjectBudgetPlanDetail(){
        ProjectBudgetPlanDetail projectBudgetPlanDetail = new ProjectBudgetPlanDetail();
        projectBudgetPlanDetail.setProjectId(getProjectId());
        projectBudgetPlanDetail.setMonth(getMonth());
        projectBudgetPlanDetail.setDeviceCost(getDeviceCost());
        projectBudgetPlanDetail.setEngineerCost(getEngineerCost());
        projectBudgetPlanDetail.setProjectManageCost(getProjectManageCost());
        projectBudgetPlanDetail.setEarnestMoneyCost(getEarnestMoneyCost());
        projectBudgetPlanDetail.setTotalCost(getTotalCost());
        projectBudgetPlanDetail.setSaleIncome(getSaleIncome());
        projectBudgetPlanDetail.setEarnestMoneyIncome(getEarnestMoneyIncome());
        projectBudgetPlanDetail.setTotalIncome(getTotalIncome());
        projectBudgetPlanDetail.setFundBalance(getFundBalance());
        projectBudgetPlanDetail.setUnderwrittenTaxRate(getUnderwrittenTaxRate());
        projectBudgetPlanDetail.setCapitalInterest(getCapitalInterest());
        projectBudgetPlanDetail.setUnderwrittenPlan(getUnderwrittenPlan());
        projectBudgetPlanDetail.setRepaymentPlan(getRepaymentPlan());
        return projectBudgetPlanDetail;
    }
}